Class LogosImpl
java.lang.Object
com.eqixiac.equinix.fabric.beta.client.implementation.LogosImpl
- All Implemented Interfaces:
Logos
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionCreate Logo:POST /fabric/v4/logos(operationcreateLogo).Delete Logo:DELETE /fabric/v4/logos/{uuid}(operationdeleteLogoByUuid).byte[]Get Logo:GET /fabric/v4/logos/{uuid}(operationgetLogoByUuid).
-
Constructor Details
-
LogosImpl
Creates the client.- Parameters:
clients- the shared internal client factory
-
-
Method Details
-
create
public LogoResponse create(byte[] logo, String fileName, String name, String type, String description) Description copied from interface:LogosCreate Logo:POST /fabric/v4/logos(operationcreateLogo).Create Logo for Equinix Fabricâ„¢ Company Profile
Sent as
multipart/form-datawith thelogofile part and thename/type/descriptiontext parts.- Specified by:
createin interfaceLogos- Parameters:
logo- the image bytes (spec: required, binary)fileName- the file name advertised for thelogopartname- the logo name (spec: required)type- the logo type (spec: required)description- the logo description (spec: required)- Returns:
- the
LogoResponsethe API returns
-
download
Description copied from interface:LogosGet Logo:GET /fabric/v4/logos/{uuid}(operationgetLogoByUuid).Get Logo by UUID
The spec types the response as
multipart/mixed; the raw body bytes are returned. -
delete
Description copied from interface:LogosDelete Logo:DELETE /fabric/v4/logos/{uuid}(operationdeleteLogoByUuid).Delete Logo by UUID
-